## apcd 0.5a.nr

=== Makefile ===
# ------------------ USER CONFIGURABLE SETTINGS ---------------------------
# The directories where files will be installed, you may want to change these.
BINDIR=/usr/sbin
MANDIR=/usr/man
ETCDIR=/etc

# Compiler flags.
CC = gcc
CFLAGS = -O -Wall -fomit-frame-pointer -pipe -Dlint

# If you are using gcc 2.5.8 this will get you QMAGIC executables
# later versions of gcc do this by default.
#LDFLAGS = -Xlinker -qmagic
LDFLAGS = 
# ------------------ END OF USER CONFIGURATIONS ---------------------------

OBJFILES=apcd.o parse.o upsnet.o
SOURCEFILES=apcd.c parse.c upsnet.c
HFILES=apcd.h version.h 
DOCFILES=README
DISTFILES=Makefile $(SOURCEFILES) $(HFILES) $(DOCFILES)

all:	apcd

apcd.o: 	apcd.c apcd.h
parse.o: 	parse.c apcd.h
upsnet.o:	upsnet.c apcd.h

apcd: $(OBJFILES)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJFILES) -o apcd

install: apcd
	install -o root -g bin apcd ${BINDIR}/apcd
	install -o root -g bin doc/apcd.man ${MANDIR}/man8/apcd.8
	install -o root -g bin apcd.conf ${ETCDIR}/apcd.conf
	chmod 4744 ${BINDIR}/apcd
clean:
	rm -f *.o apcd

dep:
	$(CPP) -M *.c > .depend

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

## apcd 0.6a.nr

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # ------------------ USER CONFIGURABLE SETTINGS ---------------------------
 # The directories where files will be installed, you may want to change these.
-BINDIR=/usr/sbin
-MANDIR=/usr/man
-ETCDIR=/etc
+BINDIR=usr/sbin
+MANDIR=usr/share/man
+ETCDIR=etc
 
 # Compiler flags.
 CC = gcc
-CFLAGS = -O -Wall -fomit-frame-pointer -pipe -Dlint
+CFLAGS = -O2 -g -Wall -pipe -Dlint
 
 # If you are using gcc 2.5.8 this will get you QMAGIC executables
 # later versions of gcc do this by default.
@@ -30,10 +30,11 @@
 	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJFILES) -o apcd
 
 install: apcd
-	install -o root -g bin apcd ${BINDIR}/apcd
-	install -o root -g bin doc/apcd.man ${MANDIR}/man8/apcd.8
-	install -o root -g bin apcd.conf ${ETCDIR}/apcd.conf
-	chmod 4744 ${BINDIR}/apcd
+	install -o root -g root apcd ${DESTDIR}/${BINDIR}/apcd
+	install -o root -g root -m 644 doc/apcd.man ${DESTDIR}/${MANDIR}/man8/apcd.8
+	install -o root -g root -m 644 apcd.conf ${DESTDIR}/${ETCDIR}/apcd.conf
+	install -o root -g root apcd.cronjob ${DESTDIR}/etc/cron.weekly/apcd
+
 clean:
 	rm -f *.o apcd

## apcd 0.6b.nr-2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # ------------------ USER CONFIGURABLE SETTINGS ---------------------------
 # The directories where files will be installed, you may want to change these.
 BINDIR=usr/sbin
-MANDIR=usr/share/man
 ETCDIR=etc
 
 # Compiler flags.
@@ -31,9 +30,11 @@
 
 install: apcd
 	install -o root -g root apcd ${DESTDIR}/${BINDIR}/apcd
-	install -o root -g root -m 644 doc/apcd.man ${DESTDIR}/${MANDIR}/man8/apcd.8
+	install -o root -g root apcstat ${DESTDIR}/${BINDIR}/apcstat
 	install -o root -g root -m 644 apcd.conf ${DESTDIR}/${ETCDIR}/apcd.conf
-	install -o root -g root apcd.cronjob ${DESTDIR}/etc/cron.weekly/apcd
+	install -o root -g root apcd.cron ${DESTDIR}/${ETCDIR}/cron.weekly/apcd
+	install -o root -g root -m 0444 apcd.8 ${DESTDIR}/usr/share/man/man8
+	install -o root -g root -m 0444 apcstat.8 ${DESTDIR}/usr/share/man/man8
 
 clean:
 	rm -f *.o apcd

=== debian/changelog ===
apcd (0.6b.nr-2) unstable; urgency=high

  * Change package section from utils to admin.
  
 -- Tibor Koleszar <oldw@debian.org>  Tue, 11 Jun 2002 15:41:29 +0200

apcd (0.6b.nr-1) unstable; urgency=high

  * Fixed control file. Closes: bug#147236
  * Changed package-standard number, so it has a new source
  
 -- Tibor Koleszar <oldw@debian.org>  Thu, 29 Feb 2000 11:42:10 +0200

apcd (0.6a.nr-8) frozen unstable; urgency=high

  * Closed Bug#70242
  
 -- Tibor Koleszar <oldw@debian.org>  Thu, 29 Feb 2000 11:42:10 +0200
  

apcd (0.6a.nr-7) frozen unstable; urgency=high

  * Fixed prerm script failure when is not running at remove time, closed Bug#58647
  
 -- Tibor Koleszar <oldw@debian.org>  Thu, 29 Feb 2000 11:42:10 +0200
  

apcd (0.6a.nr-6) frozen unstable; urgency=high

  * removed "/tmp/upsstat" to "/var/log/upsstat"
  
 -- Tibor Koleszar <oldw@debian.org>  Thu, 1 Feb 2000 23:44:21 +0200
  

apcd (0.6a.nr-5) unstable; urgency=low

  * fixed and important security bug when apcd gets SIGUSR1 signal 
  
 -- Tibor Koleszar <oldw@debian.org>  Thu, 1 Feb 2000 19:16:34 +0200
  

apcd (0.6a.nr-4) unstable; urgency=low

  * fixed and closed Bug#54133 (apcd does not rotates its logfile) 
  
 -- Tibor Koleszar <oldw@debian.org>  Thu, 6 Jan 2000 14:52:14 +0200
  

apcd (0.6a.nr-3) unstable; urgency=low

  * fixed problems at builds with dpkg-dev 1.6.4 
  
 -- Tibor Koleszar <oldw@debian.org>  Sun, 2 Jan 2000 19:28:27 +0200
  

apcd (0.6a.nr-2) unstable; urgency=low

  * stupid segfault... 
  
 -- Tibor Koleszar <oldw@debian.org>  Sun, 2 Jan 2000 19:28:27 +0200
  

apcd (0.6a.nr-1) unstable; urgency=low

  * apcstat can print output in html
  * rewritten manpages 
  
 -- Tibor Koleszar <oldw@debian.org>  Sun, 2 Jan 2000 17:44:37 +0200
  

apcd (0.5a.nr-7) unstable; urgency=low

  * Added NOTEST into the config file. Read the man page for details.

 -- Tibor Koleszar <oldw@debian.org>  Tue, 12 Sep 1999 11:20:34 +0200
  

apcd (0.5a.nr-6) unstable; urgency=low, closes=38847

  * Closes Bug#38847 (upgrade problems)

 -- Tibor Koleszar <oldw@debian.org>  Thu, 3 Jun 1999 19:46:12 +0200
  

apcd (0.5a.nr-5) unstable; urgency=low, closes=12775 17066 21169 17067

  * Fixed SIGTERM signal handle (closes: Bug#12755, Bug#17066)
  * Fixed master and slave connections, master will
    try to reconnect after the slave lost. (closes: Bug#21169)
  * Added some new logging words.
  * If the connection is broken between the PC and the SmartUPS
    the apcd will die. (closes: Bug#17067)

 -- Tibor Koleszar <oldw@debian.org>  Thu, 27 May 1999 10:35:23 +0200

apcd (0.5a.nr-4) unstable; urgency=low, closes=34585

  * Fixed typo in prerm (closes: Bug#34585)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 23 May 1999 10:49:09 +0200

apcd (0.5a.nr-3) unstable; urgency=low, closes=33898 33981

  * Now provides ups-monitor (Bug#33898)
  * Now provides poweroff argument (Bug#33981)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 12 Mar 1999 10:17:35 +0100

apcd (0.5a.nr-2) frozen unstable; urgency=low, closes=17130 30912 16914 18874

  * New maintainer
  * main now returns int (closes: Bug#17130)
  * Added support to force-reload and restart in rc script
  * Rc script tests for unconfigured apcd (closes: Bug#30912)
  * Added proper support for logfile to cronjob
  * Renamed Debian changelog file appropriate
  * Renamed History file to changelog
  * Removed verbose output on console at startup
  * Added log interval to syslog message
  * Added link to ups-monitor to let sysvinit shut the UPS off at the end
    of shutdown process (closes: Bug#16914)
  * Reordered display of daemon name in init script (Bug#17066)
  * Fixed typo in description (closes: Bug#18874)
  * Marked rc script as conffile (lintian)
  * Corrected some newlines

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 21 Dec 1998 12:51:30 +0100

apcd (0.5a.nr-1.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.

 -- Martin Mitchell <martin@debian.org>  Mon, 10 Nov 1997 02:04:04 +1100

apcd (0.5a.nr-1) unstable; urgency=low

  * Initial Release.

 -- Nils Rennebarth <nils@nus.de>  Fri, 13 Jun 1997 15:58:59 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: apcd
Section: admin
Priority: extra
Maintainer: Tibor Koleszar <oldw@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: apcd
Architecture: any
Depends: ${shlibs:Depends}
Provides: ups-monitor
Conflicts: ups-monitor
Description: APC Smart UPS daemon
 This daemon monitors an APC UPS either as master, with the serial cable
 attached to it, or as a slave, with a network connection to the master.
 .
 The daemon constantly gathers information from the UPS (battery load,
 Temperature, workload, etc.) and logs them to a file. It shuts down
 the system cleanly after a certain period of constant power failure or
 if the battery load falls below a certain level.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/apcd
	$(MAKE) install DESTDIR=$(CURDIR)/debian/apcd


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
